#include <iostream>

using namespace std;

int brcf(int a)
{
    float n;
    for(n=1;a>0;a/=10)
    {
        n*=10;
    }
    return n;
}

int main()
{
    long long a,b,c,n[6],m,i;
    cin>>a>>b>>c;
    n[0]=a*brcf(b)*brcf(c)+b*brcf(c)+c;
    n[1]=a*brcf(b)*brcf(c)+c*brcf(b)+b;
    n[2]=b*brcf(a)*brcf(c)+a*brcf(c)+c;
    n[3]=b*brcf(a)*brcf(c)+c*brcf(a)+a;
    n[4]=c*brcf(a)*brcf(b)+b*brcf(a)+a;
    n[5]=c*brcf(a)*brcf(b)+a*brcf(b)+b;
    for(m=n[0],i=1;i<6;i++)
    {
        if(n[i]>m)
            m=n[i];
    }
    cout<<m;

    return 0;
}